<?php
saxue_includedb();
class saxuearticlechapter extends saxueobjectdata {
		function saxuearticlechapter() {
				$this -> initvar( "chapterid", SAXUE_TYPE_INT, 0, "", false, 11 );
				$this -> initvar( "chaptername", SAXUE_TYPE_TXTBOX, "", "", false, 50 );
				$this -> initvar( "chapterorder", SAXUE_TYPE_INT, 0, "", false, 4 );
				$this -> initvar( "isvolume", SAXUE_TYPE_INT, 0, "", false, 1 );
				$this -> initvar( "aid", SAXUE_TYPE_INT, 0, "", false, 11 );
				$this -> initvar( "posttime", SAXUE_TYPE_INT, 0, "", false, 10 );
		} 
} 

class saxuearticlechapterhandler extends saxueobjecthandler {
		function saxuearticlechapterhandler( $_db = "" ) {
				$this -> saxueobjecthandler( $_db );
				$this -> basename = "articlechapter";
				$this -> autoid = "chapterid";
				$this -> dbname = "article_chapter";
		} 
}